LibreOffice: XBinaryStreamResolver Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XBinaryStreamResolver Interface Referencepublished

`import"XBinaryStreamResolver.idl";`

Inheritance diagram for XBinaryStreamResolver:

## Public Member Functions
com::sun::star::io::XInputStream | getInputStream ([in] string aURL)
| converts the given URL from the source URL namespace to an input stream, from which binary data can be read More...
com::sun::star::io::XOutputStream | createOutputStream ()
| creates an output stream, to which binary data can be written. More...
string | resolveOutputStream ([in] com::sun::star::io::XOutputStream aBinaryStream)
| converts the output stream, data has been written to, to an URL in source URL namespace. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface encapsulates functionality to get/resolve binary data streams. It is used to transform binary data to an URL or to transform an URL to binary data. The binary data is represented through input and output streams.

In the case of transforming an URL to binary data, the `getInputStream` method is used. This returns a com::sun::star::io::XInputStream from which the binary data, transformed from the given URL, can be read.

In the case of transforming binary data to an URL, a com::sun::star::io::XOutputStream is created first to write the binary data to. After this, the `resolveOutputStream` method can be used to transform the binary data, represented through the com::sun::star::io::XOutputStream interface, to an URL.

## Member Function Documentation

com::sun::star::io::XOutputStream createOutputStream | ( |  | ) |

creates an output stream, to which binary data can be written.

After writing, an URL can be retrieved by a call to XBinaryStreamResolver::resolveOutputStream().

com::sun::star::io::XInputStream getInputStream | ( | [in] string | aURL | ) |

converts the given URL from the source URL namespace to an input stream, from which binary data can be read

string resolveOutputStream | ( | [in] com::sun::star::io::XOutputStream | aBinaryStream | ) |

converts the output stream, data has been written to, to an URL in source URL namespace.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XBinaryStreamResolver.idl